This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 537203 - MySQL plugin don't collect data from databases
MySQL plugin don't collect data from databases
Status: CLOSED INSUFFICIENT_DATA
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.3.1
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-11-12 14:25 EST by Rodrigo A B Freire
Modified: 2012-06-06 12:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON server 2.3.0
Last Closed: 2012-06-06 12:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
agent.log from Jon Agent (174.43 KB, text/x-log)
2009-11-12 14:40 EST, Rodrigo A B Freire
no flags Details

  None (edit)
Description Rodrigo A B Freire 2009-11-12 14:25:39 EST
Description of problem:
The MySQL plugin (downloaded from https://www.jboss.org/community/wiki/jopr-releases) does not correcty add its database childs, altough the Server has the metrics collected, plotted and its availability computed. 

Version-Release number of selected component (if applicable):
JON 2.3.0
Jopr 2.3.1 (where I downloaded the plugin)
rhq-mysql-plugin-1.3.1

How reproducible:
See below. Same issue on two different JON servers (same release, same steps)

Steps to Reproduce:
1. Set up an MySQL on your machine. Assign an password for the root user.
2. Ensure that you have Abstract Database plugin on your JON Server
3. Add the rhq-mysql-plugin-1.3.1.jar to your plugin collection
4. On Platform, click on the computer platform and select its inventory
5. Scroll down the screen and on the "Manually Add", select MySql Server" (notice: it is not automatically detected by discovery routines) and click OK
6. Set up your database settings. Don't forget to change the MySql "Database Name" to mysql (case-sensitive). Set your root/password on the role name & password. Click OK.
7. Expand the MySql [mysql] server and you'll notice "Database (n)" as red
8. Expand the "Database (n)" category and click on any database. 

Actual results:
You'll notice that the availability tick on the right upper corner is set to an gray question mark and the "Database (n)" category is red colored.


Expected results:
The databases are supposed to be green colored and have its metrics correctly collected.

Additional info:
irc #jboss-on RodFreire
Comment 1 Rodrigo A B Freire 2009-11-12 14:40:19 EST
Created attachment 369302 [details]
agent.log from Jon Agent

Debug level
Comment 2 wes hayutin 2010-02-16 11:57:09 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:02:10 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-05 09:08:22 EDT
Lowering severity/priority - not an enterprise plugin
Comment 5 Heiko W. Rupp 2010-10-18 05:29:29 EDT
I've just pushed and update to the MySQL plugin by Steve Millidge 
(28ae734397d49586094f973c0db81f06fc394791).

Can you please check if your issue has vanished?
Comment 6 Heiko W. Rupp 2012-06-06 12:17:52 EDT
I think the plugin update from Steve has fixed this issue a long time ago - 
closing.

Note You need to log in before you can comment on or make changes to this bug.